Name: 1c-tools
Version: 0.3
Release: alt3.M41.2
Packager: Paul Wolneykien <manowar@altlinux.ru>

Summary: 1C conversation scripts
License: GPL
Group: System/Configuration/Other

BuildArch: noarch

BuildPreReq: perl-Crypt-SmbHash

Source0: chronograph2ldif.sh
Source1: chronograph2ldif.xsl
Source2: chronograph2ldif-smb.diff
Source3: reset-password.pl

%description
1C conversation scripts:

- import accounts from 1C:ChronoGraph to LDAP (including Samba
support).

%prep

%build
patch -o chronograph2ldif-smb.xsl %SOURCE1 %SOURCE2

%install
install -pm0755 -D %SOURCE0 %buildroot/%_bindir/chronograph2ldif
install -pm0644 -D %SOURCE1 %buildroot/%_datadir/%name/chronograph2ldif.xsl
install -pm0644 -D chronograph2ldif-smb.xsl %buildroot/%_datadir/%name/chronograph2ldif-smb.xsl
install -pm0644 -D %SOURCE3 %buildroot/%_datadir/%name/reset-password.pl

%files
%_bindir/chronograph2ldif
%_datadir/%name/chronograph2ldif.xsl
%_datadir/%name/chronograph2ldif-smb.xsl
%_datadir/%name/reset-password.pl

%changelog
* Mon Feb 16 2009 Lebedev Sergey <barabashka@altlinux.org> 0.3-alt3.M41.2
- Using '<user>_password' for default user's samba password

* Mon Feb 09 2009 Paul Wolneykien <manowar@altlinux.ru> 0.3-alt3.M41.1
- Using '<user>_password' for default passwords.

* Mon Dec 08 2008 Paul Wolneykien <manowar@altlinux.ru> 0.3-alt2.M41.1
- Release for the branch 4.1

* Mon Dec 08 2008 Paul Wolneykien <manowar@altlinux.ru> 0.3-alt2
- LDAP requisite arguments

* Mon Dec 08 2008 Paul Wolneykien <manowar@altlinux.ru> 0.3-alt1
- User name as initial password option

* Sat Dec 06 2008 Paul Wolneykien <manowar@altlinux.ru> 0.2-alt1
- Improvement of the 'chronograph2ldif' command interface.
- Adds Samba support.

* Fri May 16 2008 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial build
